Skip to content

Create folders, organize entries or delete an empty folder

POST/v1/files/organization

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://example.com/v1/files/organization" \
  -H "Content-Type: application/json" \
  -d '{
    "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "action": "create_folder",
    "name": "string"
  }'
{
  "state": "applied",
  "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  "entry": {
    "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
    "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
    "kind": "file",
    "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
    "name": "string",
    "version": "8b898373-21c7-4028-b85f-cc5068e68df9",
    "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
    "changedAt": "2019-08-24T14:15:22Z",
    "reference": "string"
  },
  "deleted": true
}